import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientStatusSchema } from '../enums/PatientStatus.schema'

const makeSchema = () => z.object({
  set: PatientStatusSchema.optional()
}).strict();
export const EnumPatientStatusFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumPatientStatusFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumPatientStatusFieldUpdateOperationsInput>;
export const EnumPatientStatusFieldUpdateOperationsInputObjectZodSchema = makeSchema();
